export * from "./runtime";
export * from "./Suspense";
export * from "./directives";
declare type MountableElement = Element | Document | ShadowRoot | DocumentFragment;
export declare function render(code: () => any, element: MountableElement): () => void;
export declare function renderSSR(code: () => any, element: MountableElement): () => void;
export declare function hydrate(code: () => any, element: MountableElement): () => void;
export declare function wrapCondition<T>(fn: () => T): () => T;
export declare function For<T, U>(props: {
    each: T[];
    fallback?: any;
    children: (item: T, index: number) => U;
}): () => U[];
export declare function Show<T>(props: {
    when: boolean;
    fallback?: T;
    children: T;
}): () => T | undefined;
export declare function Switch<T>(props: {
    fallback?: T;
    children: any;
}): () => any;
declare type MatchProps = {
    when: boolean;
    children: any;
};
export declare function Match(props: MatchProps): MatchProps;
export declare function Portal(props: {
    mount?: MountableElement;
    useShadow?: boolean;
    ref?: (e: HTMLDivElement) => void;
    children: any;
}): Text;
